//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//						(c) 1997 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	cxctods9.cc --- convert CXC into ds9 regions
//
//	DESCRIPTION:
//		Convert the content of a CXC region file into a ds9 region
//
//	CHANGE HISTORY:
//		UL, 2001-08-13: 1.0.0: - initial version
//
//	AUTHOR:
//		U. Lammers (UL), Mon Aug 13 15:00:56 MET DST 2001
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al., 
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/imgdisplay/conv/cxctods9.cc,v 1.4 2002/09/18 15:22:52 ulammers Exp $
//

#include "Ds9.h"
#include "ASCregion.h"
#include "param.h"
#include "stringutil.h"

#include "cxctods9.h"

void cxctods9()
{
	InASCregionTable intab(stringParameter("table"));
	::GeoRegion cxcreg;
	intab>>cxcreg;
	string regTypeStr = uppercase(stringParameter("regtype"));
	ImageDisplayer::CoordType regType;
	if (regTypeStr == "LINEAR")
		regType = ImageDisplayer::LINEAR;
	else if (regTypeStr == "FK5")
		regType = ImageDisplayer::FK5;
	else
		regType = ImageDisplayer::IMAGE;

	ImageDisplayer::Region r(cxcreg, regType);
	std::cout<<r<<std::endl;
	cxcreg.free();
} // cxctods9()
